Skip to main content
PUT
/
v1
/
quickstarts
/
{id}
/
contradictions
/
{contradictionId}
Update a contradiction
curl --request PUT \
  --url https://api.avidoai.com/v1/quickstarts/{id}/contradictions/{contradictionId} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-application-id: <api-key>' \
  --data '
{
  "resolved": true,
  "assignedTo": "user_789012"
}
'
{
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "orgId": "org_123456",
    "applicationId": "456e4567-e89b-12d3-a456-426614174000",
    "documentTestId": "789e4567-e89b-12d3-a456-426614174000",
    "quickstartId": "abc14567-e89b-12d3-a456-426614174000",
    "documentAId": "def14567-e89b-12d3-a456-426614174000",
    "documentBId": "fed14567-e89b-12d3-a456-426614174000",
    "reason": "<string>",
    "passageA": "<string>",
    "passageB": "<string>",
    "resolved": false,
    "createdAt": "2024-01-05T12:34:56.789Z",
    "modifiedAt": "2024-01-05T12:34:56.789Z",
    "assignedTo": "user_789012",
    "assignedUser": {
      "id": "user_789012",
      "name": "John Doe",
      "email": "john@example.com",
      "image": "https://example.com/avatar.jpg"
    }
  }
}

Authorizations

x-api-key
string
header
required

Your unique Avido API key

x-application-id
string
header
required

Your unique Avido Application ID

Path Parameters

id
string<uuid>
required

The quickstart ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"abc14567-e89b-12d3-a456-426614174000"

contradictionId
string<uuid>
required

The unique identifier of the contradiction

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"123e4567-e89b-12d3-a456-426614174000"

Body

application/json

Request body for updating a contradiction

resolved
boolean

Updated resolved status

Example:

true

assignedTo
string | null

Updated user ID to assign to, or null to unassign

Required string length: 1 - 255
Example:

"user_789012"

Response

Successfully updated contradiction

Successful response containing the contradiction data

data
ContradictionQuickstart · object
required

A contradiction found between two documents during MECE analysis